Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class DailyInfoModel

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV2.DailyInfoModel

    public class DailyInfoModel
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `DailyInfoModel.DayInfoType` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DailyInfoModel​(DailyInfoModel.DayInfoType dayInfoType, java.lang.String numberA, java.lang.String sumA, java.lang.String numberB, java.lang.String sumB)` |
  `DailyInfoModel​(java.lang.String numberOfClients, java.lang.String sumOfSells)` |
  `DailyInfoModel​(java.lang.String pay1, java.lang.String pay2, java.lang.String pay3, java.lang.String pay4, java.lang.String pay5, java.lang.String pay6, java.lang.String foreignPay)` |
  `DailyInfoModel​(java.lang.String numberOfCashIn, java.lang.String sumOfCashIn, java.lang.String numberOfCashOut, java.lang.String sumOfCashOut, java.lang.String numberOfCashInF, java.lang.String sumOfCashInF, java.lang.String numberOfCashOutF, java.lang.String sumOfCashOutF)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getForeignPay()` |
  `java.lang.String` | `getNumberOfAnnulled()` |
  `java.lang.String` | `getNumberOfCashIn()` |
  `java.lang.String` | `getNumberOfCashInF()` |
  `java.lang.String` | `getNumberOfCashOut()` |
  `java.lang.String` | `getNumberOfCashOutF()` |
  `java.lang.String` | `getNumberOfClients()` |
  `java.lang.String` | `getNumberOfCorrections()` |
  `java.lang.String` | `getNumberOfDiscounts()` |
  `java.lang.String` | `getNumberOfSurcharges()` |
  `java.lang.String` | `getPay1()` |
  `java.lang.String` | `getPay2()` |
  `java.lang.String` | `getPay3()` |
  `java.lang.String` | `getPay4()` |
  `java.lang.String` | `getPay5()` |
  `java.lang.String` | `getPay6()` |
  `java.lang.String` | `getSumOfAnnulled()` |
  `java.lang.String` | `getSumOfCashIn()` |
  `java.lang.String` | `getSumOfCashInF()` |
  `java.lang.String` | `getSumOfCashOut()` |
  `java.lang.String` | `getSumOfCashOutF()` |
  `java.lang.String` | `getSumOfCorrections()` |
  `java.lang.String` | `getSumOfDiscounts()` |
  `java.lang.String` | `getSumOfSells()` |
  `java.lang.String` | `getSumOfSurcharges()` |
  `DailyInfoModel.DayInfoType` | `getType()` |
  `void` | `setForeignPay​(java.lang.String foreignPay)` |
  `void` | `setNumberOfAnnulled​(java.lang.String numberOfAnnulled)` |
  `void` | `setNumberOfCashIn​(java.lang.String numberOfCashIn)` |
  `void` | `setNumberOfCashInF​(java.lang.String numberOfCashInF)` |
  `void` | `setNumberOfCashOut​(java.lang.String numberOfCashOut)` |
  `void` | `setNumberOfCashOutF​(java.lang.String numberOfCashOutF)` |
  `void` | `setNumberOfClients​(java.lang.String numberOfClients)` |
  `void` | `setNumberOfCorrections​(java.lang.String numberOfCorrections)` |
  `void` | `setNumberOfDiscounts​(java.lang.String numberOfDiscounts)` |
  `void` | `setNumberOfSurcharges​(java.lang.String numberOfSurcharges)` |
  `void` | `setPay1​(java.lang.String pay1)` |
  `void` | `setPay2​(java.lang.String pay2)` |
  `void` | `setPay3​(java.lang.String pay3)` |
  `void` | `setPay4​(java.lang.String pay4)` |
  `void` | `setPay5​(java.lang.String pay5)` |
  `void` | `setPay6​(java.lang.String pay6)` |
  `void` | `setSumOfAnnulled​(java.lang.String sumOfAnnulled)` |
  `void` | `setSumOfCashIn​(java.lang.String sumOfCashIn)` |
  `void` | `setSumOfCashInF​(java.lang.String sumOfCashInF)` |
  `void` | `setSumOfCashOut​(java.lang.String sumOfCashOut)` |
  `void` | `setSumOfCashOutF​(java.lang.String sumOfCashOutF)` |
  `void` | `setSumOfCorrections​(java.lang.String sumOfCorrections)` |
  `void` | `setSumOfDiscounts​(java.lang.String sumOfDiscounts)` |
  `void` | `setSumOfSells​(java.lang.String sumOfSells)` |
  `void` | `setSumOfSurcharges​(java.lang.String sumOfSurcharges)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DailyInfoModel

    public DailyInfoModel​(java.lang.String numberOfClients, java.lang.String sumOfSells)

  - ### DailyInfoModel

    public DailyInfoModel​(java.lang.String pay1, java.lang.String pay2, java.lang.String pay3, java.lang.String pay4, java.lang.String pay5, java.lang.String pay6, java.lang.String foreignPay)

  - ### DailyInfoModel

    public DailyInfoModel​(DailyInfoModel.DayInfoType dayInfoType, java.lang.String numberA, java.lang.String sumA, java.lang.String numberB, java.lang.String sumB)

  - ### DailyInfoModel

    public DailyInfoModel​(java.lang.String numberOfCashIn, java.lang.String sumOfCashIn, java.lang.String numberOfCashOut, java.lang.String sumOfCashOut, java.lang.String numberOfCashInF, java.lang.String sumOfCashInF, java.lang.String numberOfCashOutF, java.lang.String sumOfCashOutF)

- ## Method Details

  - ### getPay1

    public java.lang.String getPay1()

  - ### setPay1

    public void setPay1​(java.lang.String pay1)

  - ### getPay2

    public java.lang.String getPay2()

  - ### setPay2

    public void setPay2​(java.lang.String pay2)

  - ### getPay3

    public java.lang.String getPay3()

  - ### setPay3

    public void setPay3​(java.lang.String pay3)

  - ### getPay4

    public java.lang.String getPay4()

  - ### setPay4

    public void setPay4​(java.lang.String pay4)

  - ### getPay5

    public java.lang.String getPay5()

  - ### setPay5

    public void setPay5​(java.lang.String pay5)

  - ### getPay6

    public java.lang.String getPay6()

  - ### setPay6

    public void setPay6​(java.lang.String pay6)

  - ### getForeignPay

    public java.lang.String getForeignPay()

  - ### setForeignPay

    public void setForeignPay​(java.lang.String foreignPay)

  - ### getNumberOfClients

    public java.lang.String getNumberOfClients()

  - ### setNumberOfClients

    public void setNumberOfClients​(java.lang.String numberOfClients)

  - ### getSumOfSells

    public java.lang.String getSumOfSells()

  - ### setSumOfSells

    public void setSumOfSells​(java.lang.String sumOfSells)

  - ### getNumberOfSurcharges

    public java.lang.String getNumberOfSurcharges()

  - ### setNumberOfSurcharges

    public void setNumberOfSurcharges​(java.lang.String numberOfSurcharges)

  - ### getSumOfSurcharges

    public java.lang.String getSumOfSurcharges()

  - ### setSumOfSurcharges

    public void setSumOfSurcharges​(java.lang.String sumOfSurcharges)

  - ### getNumberOfDiscounts

    public java.lang.String getNumberOfDiscounts()

  - ### setNumberOfDiscounts

    public void setNumberOfDiscounts​(java.lang.String numberOfDiscounts)

  - ### getSumOfDiscounts

    public java.lang.String getSumOfDiscounts()

  - ### setSumOfDiscounts

    public void setSumOfDiscounts​(java.lang.String sumOfDiscounts)

  - ### getNumberOfCorrections

    public java.lang.String getNumberOfCorrections()

  - ### setNumberOfCorrections

    public void setNumberOfCorrections​(java.lang.String numberOfCorrections)

  - ### getSumOfCorrections

    public java.lang.String getSumOfCorrections()

  - ### setSumOfCorrections

    public void setSumOfCorrections​(java.lang.String sumOfCorrections)

  - ### getNumberOfAnnulled

    public java.lang.String getNumberOfAnnulled()

  - ### setNumberOfAnnulled

    public void setNumberOfAnnulled​(java.lang.String numberOfAnnulled)

  - ### getSumOfAnnulled

    public java.lang.String getSumOfAnnulled()

  - ### setSumOfAnnulled

    public void setSumOfAnnulled​(java.lang.String sumOfAnnulled)

  - ### getNumberOfCashIn

    public java.lang.String getNumberOfCashIn()

  - ### setNumberOfCashIn

    public void setNumberOfCashIn​(java.lang.String numberOfCashIn)

  - ### getSumOfCashIn

    public java.lang.String getSumOfCashIn()

  - ### setSumOfCashIn

    public void setSumOfCashIn​(java.lang.String sumOfCashIn)

  - ### getNumberOfCashOut

    public java.lang.String getNumberOfCashOut()

  - ### setNumberOfCashOut

    public void setNumberOfCashOut​(java.lang.String numberOfCashOut)

  - ### getSumOfCashOut

    public java.lang.String getSumOfCashOut()

  - ### setSumOfCashOut

    public void setSumOfCashOut​(java.lang.String sumOfCashOut)

  - ### getNumberOfCashInF

    public java.lang.String getNumberOfCashInF()

  - ### setNumberOfCashInF

    public void setNumberOfCashInF​(java.lang.String numberOfCashInF)

  - ### getSumOfCashInF

    public java.lang.String getSumOfCashInF()

  - ### setSumOfCashInF

    public void setSumOfCashInF​(java.lang.String sumOfCashInF)

  - ### getNumberOfCashOutF

    public java.lang.String getNumberOfCashOutF()

  - ### setNumberOfCashOutF

    public void setNumberOfCashOutF​(java.lang.String numberOfCashOutF)

  - ### getSumOfCashOutF

    public java.lang.String getSumOfCashOutF()

  - ### setSumOfCashOutF

    public void setSumOfCashOutF​(java.lang.String sumOfCashOutF)

  - ### getType

    public DailyInfoModel.DayInfoType getType()